


//get data from softAnchor
var message = "";
var state 	= window.external.MyState;
var seconds = window.external.MySeconds;
var days 	= window.external.MyDays;
var runs 	= window.external.MyRuns;
var purchaseUrl = window.external.PurchaseUrl;
var supportUrl = window.external.SupportUrl;
var productName = window.external.AppProductName;
var buttonState = window.external.ButtonState;
var licenseKey = window.external.MyLicenseKey;
var productExId = window.external.MyProductExId;
var myDomain = window.external.MyDomain;



//possible state values
var eLicenseSubscription = -50;
var eLicenseTrial = 	-51;
var eLicenseGrace = -52;
var eLicenseExpired = -53;
var eLicenseInfinite = -54;
var eLicenseTimeBombRunning = -56;
var eLicenseNotInitialized = -6;
var eLicenseInvalidSignature = -15;
var eLicenseInvalidSignature2 = -1158;


function setState()
{
	setIcon();	
	setStartPosition();
	setButtonState();
	setUrls();
	setMessageState();
}

function setIcon()
{
	//window.external.FormIcon = "favicon.ico";
}

function setStartPosition()
{
	window.external.FormStartPosition = 1; //centerscreen;
}


function setButtonState()
{
	//button state values
	if (state == eLicenseExpired || state == eLicenseNotInitialized || buttonState == 1)
	{		
		$("#btnPlayTrial img").attr("src", "but_close.png");
		$("#btnPlayTrial a").attr("href", "sa://close");
	}
}

function setUrls()
{

	$("a.purchaseUrl").attr("href", purchaseUrl);
	$("a.supportUrl").attr("href", supportUrl);
	$("a.boldOrange").attr("href", purchaseUrl);			
	$("a.offlineTarget").attr("href", makeOfflineTarget());
	
}

function makeOfflineTarget()
{
	return myDomain + "/amsweb/offlineact/offlineActivation.jsf?pid=" + productExId;
}

function makeDeactivationTarget()
{
	return myDomain + "/amsweb/deact/deactivation.jsf?pid=" + productExId;
}


function setMessageState()
{

	if(state == eLicenseInvalidSignature || state == eLicenseInvalidSignature2)
	{
		message = "Your license file appears to be corrupted.";
	}

	
	if (state == eLicenseExpired || state == eLicenseNotInitialized)
	{
				
		message = "Your free trial period is over.";
	}

	if (state == eLicenseInfinite)
	{
		message == "";
	}

	if (state == eLicenseGrace)
	{
		message += "Something is wrong with your license. The application has entered a grace period. ";
		state = eLicenseTrial; //flip to trial to show times.
	}

	if (state == eLicenseTrial || state == eLicenseTimeBombRunning || state == eLicenseSubscription)
	{

		if (runs == 0 && days == 0)
		{

			if (seconds >=3600)
			{
				var hours = Math.round(seconds/3600);

				if (hours == 1)
				{
					message += "You currently have 1 hour remaining.";
				}
				else
				{
					message += "You currently have " +  hours + " hours remaining.";
				}
			}
			else if (seconds >= 60)
			{

				var minutes = Math.round(seconds/60);

				if (minutes == 1)
				{

					message += "You currently have 1 minute remaining.";
				}
				else
				{

					message += "You currently have " + minutes + " minutes remaining.";
				}

			}
			else
			{
				message += "You currently have " + seconds + " seconds remaining.";
			}
		}	
		else if (days == 0 && seconds==0 && runs != 0)
		{
			message += "You currently have " + runs + " runs remaining.";
		}
		else if (days != 0 && runs != 0)
		{
			message += "You currently have " + days + " days or " + runs + " runs remaining.";
		}
		else if (days != 0 && runs == 0)
		{
			message += "You currently have " + days + " days remaining.";
		}
		else if (days==0 && seconds!=0 && runs!=0)
		{
			var firstHalf = "";
			if (seconds >=3600)
			{
				var hours = Math.round(seconds/3600);

				if (hours == 1)
				{
					firstHalf += "You currently have 1 hour";
				}
				else if(hours>1)
				{
					firstHalf += "You currently have " + hours +" hours";
				}
				
				
			}
			else if (seconds >= 60)
			{

				var minutes = Math.round(seconds/60);

				if (minutes == 1)
				{

					firstHalf += "You currently have 1 minute";
				}
				else
				{

					firstHalf += "You currently have " + minutes + " minutes";
				}

			}
			else
			{
				message += "You currently have " + seconds + " seconds";
			}
			
			var secondHalf = "";
			
			if (runs==1)
			{
				secondHalf +="or 1 run remaining.";
			}
			else
			{
				secondHalf += "or " + runs + " runs remaining.";
			}
			
			message+=firstHalf+" " + secondHalf;
			
		}
		
	}

	$("#ptrialMessage").html(message);
}